sha.h File Reference

Classes for SHA-1 and SHA-2 family of message digests. More...

Go to the source code of this file.

## Classes

class | SHA1
| SHA-1 message digest. More...
class | SHA256
| SHA-256 message digest. More...
class | SHA224
| SHA-224 message digest. More...
class | SHA512
| SHA-512 message digest. More...
class | SHA384
| SHA-384 message digest. More...

## Macros

#define | CRYPTOPP_DISABLE_SHA_ASM 1

## Detailed Description

Classes for SHA-1 and SHA-2 family of message digests.

Since
  SHA1 since Crypto++ 1.0, SHA2 since Crypto++ 4.0, ARMv8 SHA since Crypto++ 6.0, Intel SHA since Crypto++ 6.0, Power8 SHA since Crypto++ 6.1

Definition in file sha.h.